summaryrefslogtreecommitdiffstats
path: root/cluster
diff options
context:
space:
mode:
authorAntoine Ginies <aginies@mandriva.com>2004-10-15 12:42:56 +0000
committerAntoine Ginies <aginies@mandriva.com>2004-10-15 12:42:56 +0000
commit12966c51cc45d31be2d263bb3dc76e66dfdb9473 (patch)
tree1445e29f999196fe49deb12469d62c959b6dd308 /cluster
parent51aa9f400b23594c154ae15345471008776a8ac1 (diff)
downloaddrakx-12966c51cc45d31be2d263bb3dc76e66dfdb9473.tar
drakx-12966c51cc45d31be2d263bb3dc76e66dfdb9473.tar.gz
drakx-12966c51cc45d31be2d263bb3dc76e66dfdb9473.tar.bz2
drakx-12966c51cc45d31be2d263bb3dc76e66dfdb9473.tar.xz
drakx-12966c51cc45d31be2d263bb3dc76e66dfdb9473.zip
new rc.sysinit to detect ka method
Diffstat (limited to 'cluster')
-rwxr-xr-xcluster/tree/etc/rc.sysinit56
1 files changed, 56 insertions, 0 deletions
diff --git a/cluster/tree/etc/rc.sysinit b/cluster/tree/etc/rc.sysinit
new file mode 100755
index 000000000..97bce30e2
--- /dev/null
+++ b/cluster/tree/etc/rc.sysinit
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+action() { echo $1; shift; $*; }
+
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+echo -e "\t\t\tWelcome to \\033[1;36mMandrake\\033[0;39m Linux"
+
+action "Mounting proc filesystem" mount -n -t proc /proc /proc
+action "Remounting root filesystem in read-write mode" mount -n -o remount,rw /
+
+>/etc/mtab
+mount -f /
+mount -f /proc
+
+# Set the hostname.
+action "Setting hostname rescue" hostname rescue
+echo rescue > /etc/HOSTNAME
+
+# Loads common modules ( no kerneld :( )
+echo "Loading additional modules..."
+load() { modprobe $* 2>/dev/null; }
+load ide-mod
+load ide-probe
+load ide-disk
+load ide-cd
+load floppy
+load af_packet
+load isofs
+load vfat
+load ext3
+load reiserfs
+load xfs
+load jfs
+load loop
+load sd_mod
+load sr_mod
+
+grep -q oem /proc/cmdline && exec /etc/oem-all -f
+
+/sbin/ifconfig lo 127.0.0.1 netmask 255.0.0.0
+/sbin/route add 127.0.0.1 lo
+
+if grep ka /proc/cmdline; then
+ echo Welcome to Ka rescue
+ drvinst
+ cd /ka
+ ./install.sh
+fi
+grep -q noauto /proc/cmdline || drvinst SERIAL_USB
+
+if ! grep -q expert /proc/cmdline; then
+ rescue-gui
+fi
+
+